Package org.eclipse.lemminx.services

## Interface IXMLDocumentProvider

All Known Subinterfaces:
  `ISaveContext`

All Known Implementing Classes:
  `AbstractSaveContext`, `XMLLanguageServer`, `XMLTextDocumentService.SaveContext`

    public interface IXMLDocumentProvider

`DOMDocument` provider.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Collection<DOMDocument>` `getAllDocuments()` All known documents XML server is working with at the moment
`DOMDocument` `getDocument​(String uri)` Returns the `DOMDocument` instance from the given `uri` and null otherwise.

### Method Detail

#### getDocument

    DOMDocument getDocument​(String uri)

Returns the `DOMDocument` instance from the given `uri` and null otherwise.

Parameters:
  `uri` - the document URI.
Returns:
  the `DOMDocument` instance from the given `uri` and null otherwise.

#### getAllDocuments

    default Collection<DOMDocument> getAllDocuments()

All known documents XML server is working with at the moment

Returns:
  XML documents